function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Preface","3");
var B=A.fN("Related Documentation","4");
var C=B.fN("TIBCO Adapter for Files (IBM i) Documentation","4#40347");
C=B.fN("Other TIBCO Product Documentation","4#24887");
B=A.fN("Typographical Conventions","5");
B=A.fN("Connecting with TIBCO Resources","6");
C=B.fN("How to Join TIBCOmmunity","6#39327");
C=B.fN("How to Access TIBCO Documentation","6#41109");
C=B.fN("How to Contact TIBCO Support","6#39302");
A=P.fN("Chapter\u00a01 Overview","7");
B=A.fN("Architecture","8");
C=B.fN("Transport Mechanisms and Delivery Options","8#1996783");
C=B.fN("Wire Format","8#2387803");
B=A.fN("Functional Components","9");
C=B.fN("FilePublisher","9#2376624");
C=B.fN("FileSubscriber","9#1853570");
B=A.fN("Message Delivery Considerations","10");
C=B.fN("Data Transfer Modes","10#2376480");
C=B.fN("Transport Options","10#2357645");
C=B.fN("Comparing ECM and RVCM for Guaranteed Delivery","10#2353622");
B=A.fN("Supported File Types and Data Types","11");
B=A.fN("BusinessEvents\u2122 Messages","12");
B=A.fN("JMS Overview","13");
C=B.fN("Point-to-Point Messaging","13#2388654");
C=B.fN("Publish and Subscribe Messaging","13#2388668");
C=B.fN("Controlling the Flow of Messages","13#2388678");
B=A.fN("JMS Message Structure","14");
A=P.fN("Chapter\u00a02 Installation","15");
B=A.fN("Installation Requirements","16");
C=B.fN("System Requirements","16#2262934");
C=B.fN("Storage Requirements","16#2361075");
C=B.fN("Software Requirements","16#1671722");
B=A.fN("Distribution Media and Contents","17");
C=B.fN("Obtaining the Software","17#2336958");
C=B.fN("Installation Files","17#2336972");
B=A.fN("Uploading the Software","18");
B=A.fN("Previous Releases of the Software","19");
C=B.fN("Identifying Previous Installations","19#2433450");
C=B.fN("Deleting Previous Installations","19#2433913");
B=A.fN("Installing the Software","20");
C=B.fN("Single Installation","20#2434743");
C=B.fN("Multiple Installations","20#2434773");
B=A.fN("Testing the Adapter","21");
C=B.fN("Sample File Contents","21#2340007");
C=B.fN("Submitting the Initial Sample Using RV","21#2340363");
C=B.fN("Submitting the Initial Sample Using EMS","21#2395477");
C=B.fN("Sample Results","21#2363879");
C=B.fN("Stopping the Adapter","21#2340470");
C=B.fN("Checking the Trace Logs","21#1671835");
C=B.fN("Messages to Operator","21#2377414");
B=A.fN("Uninstalling the Software","22");
A=P.fN("Chapter\u00a03 Configuring the Adapter","23");
B=A.fN("Overview","24");
C=B.fN("Configuration File Structure","24#2344983");
C=B.fN("Configuration Syntax","24#2344986");
C=B.fN("Sample Configuration and Data Files","24#1906416");
B=A.fN("FilePublisher Configuration","25");
C=B.fN("Trace Section","25#2349287");
C=B.fN("Options Section","25#2318158");
C=B.fN("Pre-Register Section","25#1672123");
C=B.fN("FileType Section","25#1672141");
C=B.fN("Sample Configuration Elements","25#1844785");
B=A.fN("FileSubscriber Configuration","26");
C=B.fN("Trace Section","26#2039164");
C=B.fN("Options Section","26#1672967");
C=B.fN("FileType Section","26#1673074");
C=B.fN("Sample Configuration Elements","26#1911994");
B=A.fN("Guaranteed Delivery for EMS Messages","27");
A=P.fN("Chapter\u00a04 Using the Adapter","28");
B=A.fN("Starting and Stopping the Adapter","29");
C=B.fN("Starting FilePublisher","29#2384595");
C=B.fN("Starting FileSubscriber","29#2384642");
C=B.fN("Stopping FilePublisher","29#2384694");
C=B.fN("Stopping FileSubscriber","29#2384711");
B=A.fN("Block Transfer Mode","30");
B=A.fN("File Transfer Using ECM","31");
C=B.fN("ECM Configuration","31#2384777");
B=A.fN("Sending and Receiving Numeric Data Types","32");
B=A.fN("Pre-Processing and Post-Processing Files","33");
C=B.fN("Pre-Processing Files","33#2384864");
C=B.fN("Post-Processing Files","33#2384905");
B=A.fN("Using Heartbeat Messages","34");
B=A.fN("Working with Batch Messages","35");
B=A.fN("Sending Trigger Messages","36");
B=A.fN("FilePublisher Usage Guidelines","37");
C=B.fN("Sending Numeric Data Types","37#2385019");
C=B.fN("Sending Data Untranslated (OPAQUE)","37#2385036");
C=B.fN("Constructing a Subject Name from Data","37#2385051");
C=B.fN("Publishing Double Values","37#2385070");
C=B.fN("Pre-registering Subscribers","37#2385079");
B=A.fN("FileSubscriber Usage Guidelines","38");
C=B.fN("Receiving Numeric Data Types","38#2385111");
C=B.fN("Adding Header and Trailer Records","38#2385125");
A=P.fN("Appendix\u00a0A Trace Log Examples","39");
B=A.fN("Successful FilePublisher Session","40");
B=A.fN("Failed FilePublisher Session","41");
B=A.fN("Successful FileSubscriber Session","42");
B=A.fN("Failed FileSubscriber Session","43");
A=P.fN("Appendix\u00a0B Error Messages","44");
B=A.fN("Error Message Format","45");
B=A.fN("Publisher Error Messages","46");
C=B.fN("SXF0000 \u2013 SXF0500","46#2370509");
C=B.fN("SXF1000 \u2013 SXF1999","46#2368353");
C=B.fN("SXF2000 \u2013 SXF2999","46#2368355");
C=B.fN("SXF3000 \u2013 SXF3999","46#2370997");
C=B.fN("SXF4000 \u2013 SXF4999","46#2370999");
B=A.fN("Subscriber Error Messages","47");
C=B.fN("SXF5000 \u2013 SXF5999","47#2373334");
C=B.fN("SXF6000 \u2013 SXF6999","47#2373991");
C=B.fN("SXF7000 \u2013 SXF7999","47#2374276");
C=B.fN("SXF8000 \u2013 SXF8999","47#2375845");
C=B.fN("SXF9000 \u2013 SXF9999","47#2376286");
}
